# A simple sampler.


A toy project for fooling around with rust, imgui and rodio.

The concept is centered around `Sound`s, `Pattern`s and a `Timeline`.
You can select and modify individual sounds and arrange them on a pattern. Afterwards, arrange patterns on a timeline to form a song (planned)

What you can do now:
- Combine any number of sounds into a pattern
- Sounds can be adjusted:
    - speed
    - volume
    - trim
    - roll
    - reverse (planned)
- Patterns can be adjusted:
    - repeat
    - BPM
    - length
    - rows
- Save your patterns to disk
- Load patterns from disk
- Comes with CC0-licensed samples that are ready to use
- Add your own sounds into the media folder

What you can not do:
- Export your song as audio 😭